import { trigger, transition, stagger, animate, style, query, state } from '@angular/animations';

export const fadeInAnimation = trigger('fadeIn', [
  state('true', style({ opacity: 1, transform: 'translateY(0)' })),
  state('false', style({ opacity: 0, transform: 'translateY(0)' })),
  transition('false => true', [style({ opacity: 0 }), animate('200ms 500ms ease-in')]),
  transition('true => false', animate(200, style({ opacity: 0 }))),
]);
